﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace LD31
{
    class FireParticle
    {
        Vector2 pos;
        float time = 255;
        Color clr = Color.White;

        public Vector2 GetPos() { return pos; }

        public FireParticle(Vector2 position)
        {
            this.pos = position;
        }

        public bool Update(float delta)
        {
            // math
            time -= delta / 10 + (255 - time) / delta / 1000;

            if (time <= 0.0f)
            {
                return true;
            }
            clr.A = (byte)time;
            return false;
        }

        public void Draw(SpriteBatch sb, Texture2D tex)
        {
            sb.Draw(tex, pos, clr);
        }
    }
}
