﻿using Microsoft.Xna.Framework;

namespace LD31
{
    class Tile
    {
        public byte id;
        public Vector2 pos;
        public Color color;

        public bool canBeDestroyed = false;
        public float hurtTime = 255f;

        public void Reset()
        {
            this.color = Color.White;       // it's not hurt!
            this.canBeDestroyed = true;     // Invincible!
            this.hurtTime = 255f;
            id = 0;
        }

        public Tile(byte identifier, Vector2 position, bool canbeDestroyed = false)
        {
            this.id = identifier;
            this.pos = position;
            this.color = Color.White;

            this.canBeDestroyed = canbeDestroyed;
        }
    }
}
